package client_handlers

import (
	"cpone/utils"
	client_mdsampletype "cpone/views/client/mdsampletype"

	"github.com/labstack/echo/v4"
)

type MdSampleTypeService interface {
}

func NewMdSampleTypeHandler(us MdSampleTypeService) *MdSampleTypeHandler {
	return &MdSampleTypeHandler{
		MdSampleTypeService: us,
	}
}

type MdSampleTypeHandler struct {
	MdSampleTypeService MdSampleTypeService
}

func (uh *MdSampleTypeHandler) ShowMdSampleType(c echo.Context) error {
	helo := client_mdsampletype.Show()
	return utils.View(c, helo)
}
